<?php class Session {

/**
* Caltha
* @author Lukas.Wallentin <Lukas.Wallentin@gmx.at>
* @version 0.3.9
*/

/**
*Session start
*/
function Session() 
{
	session_start();
	if (($this->get_var("homescript")=="") || ($this->get_var("homescript")==$_SERVER["SCRIPT_NAME"] ))
	{
		$this->set_var("homescript",$_SERVER["SCRIPT_NAME"]);
	}
	else
	{
		$this->ses_unset();
	}
}



/**
* Variable setzen
*/
function set_var( $id, $wert ) 
{
	if( !isset($id) || !isset($wert) )
	{
		die("Function set_var bentigt 2 parameter");
	}
	if( phpversion() >= "4.1.0" )
	{
		$_SESSION[$id] = $wert;
	}
	if( !isset($GLOBALS[$id]) )
	{
		$GLOBALS[$id] = $wert;
	}
	else 
	{
		global $HTTP_SESSION_VARS;
		session_register($id);
		$GLOBALS['HTTP_SESSION_VARS'][$id] = $wert;
		if( !isset($GLOBALS[$id]) )
		{
			$GLOBALS[$id] = $wert;
		}
	}
}


/**
*Variable auslesen
*/
function get_var( $id ) 
{
	if( phpversion() >= "4.1.0" ) 
	{
		if (isset($GLOBALS[$id]))
		{
			return $GLOBALS[$id];
		}
		elseif (isset($GLOBALS['_SESSION'][$id])) 
		{
			$GLOBALS[$id] = $GLOBALS['_SESSION'][$id];
			return $GLOBALS['_SESSION'][$id];
		}
	} 
	else 
	{
		if (isset($GLOBALS[$id]))
		{
			return $GLOBALS[$id];
		}
		elseif (isset($GLOBALS['HTTP_SESSION_VARS'][$id])) 
		{
			$GLOBALS[$id] = $GLOBALS['HTTP_SESSION_VARS'][$id];
			return $GLOBALS['HTTP_SESSION_VARS'][$id];
		}
	}
}



/**
* Lscht variable
*/

function var_unset( $id ) 
{
	if( !isset($id) )
	{
		die("Function var_unset braucht einen parameter");
	}
	if( phpversion() >= "4.1.0" ) 
	{
		if (isset($GLOBALS[$id]))
		{
			unset( $GLOBALS[$id] );
		}			
		if (isset($GLOBALS['_SESSION'][$id]))
		{
			unset( $GLOBALS['_SESSION'][$id] );
		}
	} 
	else 
	{
		if (isset($GLOBALS[$id]))
		{
			unset( $GLOBALS[$id] );
		}
		if (isset($GLOBALS['HTTP_SESSION_VARS'][$id]))
		{
			unset( $GLOBALS['HTTP_SESSION_VARS'][$id] );
		}
	}
}


/**
* Session unset
*/

function ses_unset() 
{
	if( phpversion() >= "4.1.0" ) 
	{
		if( isset($GLOBALS['_SESSION']) ) $a = $GLOBALS['_SESSION'];
		{
			while( list($key,) = each($a) )
			{
				$this->var_unset($key);
			}
		}
	} 
	else 
	{
		if( isset($GLOBALS['HTTP_SESSION_VARS']) ) $a = $GLOBALS['HTTP_SESSION_VARS'];
		{
			while( list($key,) = each($a) )
			{
				$this->var_unset($key);
			}
		}
	}
}

/**
* Alles lschen
*/

function destroy() 
{
	$this->ses_unset();
	session_destroy();
}


}



?>