<?php
/**
* Caltha
* @author Lukas.Wallentin <Lukas.Wallentin@gmx.at>
* @version 0.3.9
*/

/**
* Funktionssammlung
*/
	function getfile($file)
	{
		$ausgabe = "";
		if (file_exists($file))
		{
			$fp = @fopen($file, "r");
			while (!feof($fp))
			{
				$ausgabe = $ausgabe.fgets($fp, 200);
			}
			fclose ($fp);
		}
		return $ausgabe;
	}
	
	function writefile($file, $inhalt)
	{
		$fp = @fopen($file, "w");
		fputs($fp, $inhalt);
		fclose($fp);
	}
	
	function appendfile($file, $inhalt)
	{
		$fp = @fopen($file, "a");
		fputs($fp, $inhalt);
		fclose($fp);
	}
	
	function getid($file)
	{
		$id = getfile($file);
		$id++;
		writefile($file, $id);
		return $id;
	}
	
	function replace_input($data)
	{
		$data = ereg_replace("<", "&lt;", $data);
		$data = ereg_replace(">", "&gt;", $data);
		$data = ereg_replace("\n", "[br]", $data);
		$data = ereg_replace("[\n|\r]+", "", $data);
		$data = ereg_replace("\t", "[t]", $data);
		$data = stripslashes($data);
		return $data;
	}
	
	function replace_to_edit($data)
	{
		$data = ereg_replace("\[br\]", "\n", $data);
		return $data;
	}
	
	function replace_um($data)
	{
		$data = ereg_replace("", "&auml;", $data);
		$data = ereg_replace("", "&Auml;", $data);
		$data = ereg_replace("", "&uuml;", $data);
		$data = ereg_replace("", "&Uuml;", $data);
		$data = ereg_replace("", "&Ouml;", $data);
		$data = ereg_replace("", "&ouml;", $data);
		$data = ereg_replace("", "&szlig;", $data);
		return $data;
	}
	
	function replace_output($data)
	{
		$data = replace_um($data);
		$data = ereg_replace("<>", "", $data);
		$data = ereg_replace("\[br\]", " <br />", $data);
		$data = ereg_replace("\[b\]", "<b>", $data);
		$data = ereg_replace("\[/b\]", "</b>", $data);
		$data = ereg_replace("\[i\]", "<i>", $data);
		$data = ereg_replace("\[/i\]", "</i>", $data);
		$data = ereg_replace("\[red\]", "<font color=#B62121>", $data);
		$data = ereg_replace("\[/red\]", "</font>", $data);
		$data = ereg_replace("\[u\]", "<u>", $data);
		$data = ereg_replace("\[/u\]", "</u>", $data);
		$data = ereg_replace("\[s\]", "<small>", $data);
		$data = ereg_replace("\[/s\]", "</small>", $data);
		$data = ereg_replace("\[d\]", "<strike>", $data);
		$data = ereg_replace("\[/d\]", "</strike>", $data);
		$data = ereg_replace("\[img\]", "<img src=\"", $data);
		$data = ereg_replace("\[/img\]", "\">", $data);
		$data = ereg_replace("\[/imgr\]", "\" alt=\"Bild\" width=\"100\" />", $data);
		$data = ereg_replace("\[/imgm\]", "\" alt=\"Bild\" width=\"200\" />", $data);
		$data = ereg_replace("\[/imgl\]", "\" alt=\"Bild\" width=\"450\" />", $data);
		$data = ereg_replace("\[url=\"", "<a href=\"", $data);
		$data = ereg_replace("\[file=\"", "<a href=\"file.php?url=", $data);
		$data = ereg_replace("\"\]", "\"><img src=\"design/".$GLOBALS["config"]["design"]."/images/link.gif\" alt=\"Link\" border=\"0\" /> ", $data);
		$data = ereg_replace("\"\ open]", "\" target=\"_blank\"><img src=\"design/".$GLOBALS["config"]["design"]."/images/link.gif\" alt=\"Link\" border=\"0\" /> ", $data);
		$data = ereg_replace("\[/url\]", "</a>", $data);
		$data = ereg_replace("\[/file\]", "</a>", $data);
		$data = ereg_replace("\[center\]", "</p><center><p>", $data);
		$data = ereg_replace("\[/center\]", "</p></center><p>", $data);
		$data = ereg_replace("\[hr\]", "<hr width=\"90%\">", $data);
		$data = ereg_replace("\[t\]", "\t", $data);
		$data = ereg_replace("\[list\]", "<ul>", $data);
		$data = ereg_replace("\[/list\]", "</ul>", $data);
		$data = ereg_replace("\[li\]", "<li>", $data);
		$data = ereg_replace("\[links\]", "<br><br>".getfile("design/".$GLOBALS["config"]["design"]."/tmpl/article_trennen.tmpl"), $data);
		$data = ereg_replace("\[box\]", getfile("design/".$GLOBALS["config"]["design"]."/tmpl/box_open.tmpl"), $data);
		$data = ereg_replace("\[/box\]", getfile("design/".$GLOBALS["config"]["design"]."/tmpl/box_close.tmpl"), $data);
		$data = ereg_replace("  ", "&nbsp;&nbsp;", $data);
		return $data;
	}
	
	
	function replace_for_index($data)
		{
	
			
			$data = ereg_replace("<>", "", $data);
			$data = ereg_replace("\[br\]", "", $data);
			$data = ereg_replace("\[b\]", "", $data);
			$data = ereg_replace("\[/b\]", "", $data);
			$data = ereg_replace("\[i\]", "", $data);
			$data = ereg_replace("\[/i\]", "", $data);
			$data = ereg_replace("\[red\]", "", $data);
			$data = ereg_replace("\[/red\]", "", $data);
			$data = ereg_replace("\[u\]", "", $data);
			$data = ereg_replace("\[/u\]", "", $data);
			$data = ereg_replace("\[s\]", "", $data);
			$data = ereg_replace("\[/s\]", "", $data);
			$data = ereg_replace("\[d\]", "", $data);
			$data = ereg_replace("\[/d\]", "", $data);
			$data = ereg_replace("\[img\]", "", $data);
			$data = ereg_replace("\[/img\]", "", $data);
			$data = ereg_replace("\[/imgr\]", "", $data);
			$data = ereg_replace("\[/imgm\]", "", $data);
			$data = ereg_replace("\[/imgl\]", "", $data);
			$data = ereg_replace("\[url=\"", "", $data);
			$data = ereg_replace("\"\]", "", $data);
			$data = ereg_replace("\[/url\]", "", $data);
			$data = ereg_replace("\[center\]", "", $data);
			$data = ereg_replace("\[/center\]", "", $data);
			$data = ereg_replace("\[hr\]", "", $data);
			$data = ereg_replace("\[t\]", "", $data);
			$data = ereg_replace("\[li\]", "", $data);
			$data = ereg_replace("\[links\]", "", $data);
			$data = ereg_replace("\[box\]","", $data);
			$data = ereg_replace("\[/box\]","", $data);
			$data = preg_replace("/([^a-z0-9 ]+)/", "?", html_entity_decode($data));
			$data = ereg_replace("\?","", $data);
			
			return $data;
	}
	
	
	
	function get_row($file, $row)
	{
		$data = getfile($file);
		$einzel = explode("\n", $data);
		return $einzel[$row];
	}
	
	function replace_row($file, $row, $inhalt)
	{
		$ausgabe = "";
		$data = getfile($file);
		$einzel = explode("\n", $data);
		$done = 0;
		for($i = 0; $i < (count($einzel)-1); $i++)
		{
			if (($i != $row)&&($einzel[$i] != "")&&($einzel[$i] != "\t")&&($einzel[$i] != "\t\t"))
				{
				$ausgabe = $ausgabe.$einzel[$i]."\n";
			}
			else
				{
				if (($inhalt != "")&&($inhalt != "\t")&&($inhalt != "\t\t")&&($done==0))
				{
					$ausgabe = $ausgabe.$inhalt."\n";
					$done = 1;
				}
			}
		}
		if ($done == 0) //falls Zeile nicht exitierte hinten drannhngen
		{
			$ausgabe = $ausgabe.$inhalt."\n";
		}
		writefile($file, $ausgabe);
	}
	
	function clear_row($file, $row)
	{
		$ausgabe = "";
		$data = getfile($file);
		$einzel = explode("\n", $data);
		for($i = 0; $i < (count($einzel)-1); $i++)
		{
			if (($i != $row)&&($einzel[$i]!=""))
			{
				$ausgabe = $ausgabe.$einzel[$i]."\n";
			}
		}
		writefile($file, $ausgabe);
	}
	
	function getbigestimg($file)
	{
		$data = getfile($file);
		$einzel = explode("\n", $data);
		//Zeilen Teilen
		$zahl = 0;
		for($i = 0; $i < (count($einzel)-1); $i++)
		{
			$temp = explode("\t", $einzel[$i]);
			$cut = strtok(substr($temp[1], strpos($temp[1], "_")+1), "n");
			if ($cut > $zahl) //grte zahl wird zurck gegeben
			{
				$zahl = $cut;
			}
		}
		return $zahl;
	}
	
	function getbigestinner($file)
	{
		$data = getfile($file);
		$einzel = explode("\n", $data);
		//Zeilen Teilen
		$zahl = 0;
		for($i = 0; $i < (count($einzel)-1); $i++)
		{
			if (substr($einzel[$i], 0, 2) == "<>")
			{
				$cut = strtok(substr($einzel[$i], strpos($einzel[$i], "_")+1), ".");
				if ($cut > $zahl) //grte zahl wird zurck gegeben
				{
					$zahl = $cut;
				}
			}
		}
		return $zahl;
	}
	function exist_row($file, $row)
	{
		$ausgabe = "0";
		$data = getfile($file);
		$einzel = explode("\n", $data);
		for($i = 0; $i < (count($einzel)); $i++)
		{
			if ($einzel[$i] == $row)
				{
				$ausgabe = "1";
				return $ausgabe;
			}
		}
		return $ausgabe;
	}
	
	function count_row($file, $row)
	{
		$ausgabe = "0";
		$data = getfile($file);
		$einzel = explode("\n", $data);
		for($i = 0; $i < (count($einzel)); $i++)
		{
			if ($einzel[$i] == $row)
			{
			$ausgabe=$ausgabe+1;
			}
		}
		return $ausgabe;
	}
	
	function clear_exist_row($file, $row)
	{
		$ausgabe = "0";
		$data = getfile($file);
		$einzel = explode("\n", $data);
		for($i = 0; $i < (count($einzel)); $i++)
		{
			if ($einzel[$i] == $row)
				{
				clear_row($file, $i);
				$ausgabe = "1";
				return $ausgabe;
			}
		}
		return $ausgabe;
	}
	
	function clear_row_with($file, $row)
	{
		
		$ausgabe = "";
		$data = getfile($file);
		$einzel = explode("\n", $data);
		for($i = 0; $i < (count($einzel)-1); $i++)
		{
			if (($einzel[$i]!=$row)&&($einzel[$i]!=""))
			{
				$ausgabe = $ausgabe.$einzel[$i]."\n";
			}
		}
		writefile($file, $ausgabe);		
	}
	
	
	
	function cross_row($file, $row)
	{
		$ausgabe = "";
		$data = getfile($file);
		$einzel = explode("\n", $data);
		for($i = 0; $i < (count($einzel)-1); $i++)
		{
			if ($i != $row)
				{
				$ausgabe = $ausgabe.$einzel[$i]."\n";
			}
			else
				{
				if (($einzel[$i+1] != "") && ($i > 4))
					{
					$ausgabe = $ausgabe.$einzel[$i+1]."\n";
					$ausgabe = $ausgabe.$einzel[$i]."\n";
					$i++;
				}
				else
					{
					$ausgabe = $ausgabe.$einzel[$i]."\n";
				}
			}
		}
		writefile($file, $ausgabe);
	}
	
	function cross_row_ue($file, $row)
	{
		$ausgabe = "";
		$data = getfile($file);
		$einzel = explode("\n", $data);
		for($i = 0; $i < (count($einzel)-1); $i++)
		{
			if ($i != $row)
				{
				$ausgabe = $ausgabe.$einzel[$i]."\n";
			}
			else
				{
				if (($einzel[$i+1] != ""))
					{
					$ausgabe = $ausgabe.$einzel[$i+1]."\n";
					$ausgabe = $ausgabe.$einzel[$i]."\n";
					$i++;
				}
				else
					{
					$ausgabe = $ausgabe.$einzel[$i]."\n";
				}
			}
		}
		writefile($file, $ausgabe);
	}
	
	function getpic($bild, $bild_name, $b_id, $a_id, $do)
	{
		//0=OK
		//1=Kein Bild
		//2=Falscher Typ
		//3=Zu gro
		$ausgabe = "0";
		if ($bild == "")
		{
			$ausgabe = "1";
		}
		else
			{
			if (eregi("(jpeg|jpg)", $bild_name))
			{
				copy($bild, "./data/article/bilder/".$a_id."_".$do.$b_id.".jpg");
			}
			else
				{
				$ausgabe = "2";
			}
		}
		return $ausgabe;
	}
?>