<?php
/**
* Caltha
* @author Lukas.Wallentin <Lukas.Wallentin@gmx.at>
* @version 0.3.9
*/
	class menue {
		var $menueid;
		/**
		* Wahl zwischen Mens (fr mehrsprachige versionen)
		*/
		function menue($id)
		{
			if ($id == "")
			{
				$this->menueid = "0";
			}
			else
				{
				$this->menueid = $id;
			}
		}
		
		function getdata()
		{
			$menue_data = getfile("data/".$this->menueid.".dat");
			return $menue_data;
		}
		
		function getalldata()
		{
			$menue_data = getfile("data/".$this->menueid.".dat");
			$session_try = new session();
			if ($session_try->get_var("user_administrator"))
				{
				$menue_data = $menue_data."\n".getfile("data/menue_administrator.dat");
			}
			if ($session_try->get_var("user_lektor"))
				{
				$menue_data = $menue_data."\n".getfile("data/menue_lektor.dat");
			}
			if ($session_try->get_var("user_kontrolle"))
				{
				$menue_data = $menue_data."\n".getfile("data/menue_kontrolle.dat");
			}
			if ($session_try->get_var("user_autor"))
				{
				$menue_data = $menue_data."\n".getfile("data/menue_autor.dat");
			}
			return $menue_data;
		}
		
		function verweis($weiter, $name)
		{
			return ereg_replace("{LINK}", "<a class=\"navi\" href='index.php?w=".$weiter."'>".$name."</a>", getfile("design/".$GLOBALS["config"]["design"]."/tmpl/link.tmpl"));
		}
		
		function subverweis($weiter, $name)
		{
			return ereg_replace("{LINK}", "<a  class=\"navi\" href='index.php?w=".$weiter."'>".$name."</a>", getfile("design/".$GLOBALS["config"]["design"]."/tmpl/sublink.tmpl"));
		}
		
		// Prft, welche Hauptrubrik geffnet wird
		function showmenu($input_all)
		{
			$input_einzel = explode("_", $input_all);
			$input = $input_einzel[0];
			if ($input == "")
				{
				$input = 100;
			}
			$hauptrubrik = $input-($input%100);
			//hauptruprik extrahieren
			$menue_data = $this->getalldata();
			$menue_einzel = explode("\n", $menue_data);
			$menue = "";
			for($i = 0; $i <= (count($menue_einzel)+1); $i++)
			{
				$menue_zelle = explode("\t", $menue_einzel[$i]);
				if ($menue_zelle[1] != "")
					{
					$input_einzel[0] = $menue_zelle[1];
					$input_einzel[1] = $menue_zelle[2];
					$input_einzel[2] = $menue_zelle[3];
					$w = $input_einzel[0]."_".$input_einzel[1]."_".$input_einzel[2]."_".$input_einzel[3]."_".$input_einzel[4];
					if ($menue_zelle[1]%100 == 0)
					{
						$menue = $menue.$this->verweis($w, $menue_zelle[0]);
					}
					// Ausgabe der Unterrubriken (Nicht teilbar durch 100 und)
					if (($menue_zelle[1]-($menue_zelle[1]%100) == $hauptrubrik) && ($menue_zelle[1]%100 != 0) )
					{
						$menue = $menue.$this->subverweis($w, $menue_zelle[0]);
					}
				}
			}
			
			return $menue;
		}
		
		/**
		* Whlt passende Funktion
		*/
		function edit($w, $input_name, $input_k, $input_l, $input_long)
		{
			$w_einzel = explode("_", $w);
			if ($w_einzel[5] == "")
			{
				$ausgabe = $this->showedit($w);
			}
			if ($w_einzel[5] == "1")
			{
				$ausgabe = $this->showeditform($w);
			}
			if ($w_einzel[5] == "2")
			{
				$ausgabe = $this->writeedit($w, $input_name, $input_k, $input_l, $input_long);
			}
			if ($w_einzel[5] == "3")
			{
				$ausgabe = $this->add($w, $input_name, $input_k, $input_l, $input_long);
			}
			return $ausgabe;
		}
		
		/**
		* Fgt punkt zu men dazu
		*/
		function add($w, $input_name, $input_k, $input_l, $input_long)
		{
			$menue_data = $this->getdata();
			$input_einzel = explode("_", $w);
			$w = $input_einzel[0]."_".$input_einzel[1]."_".$input_einzel[2]."_".$input_einzel[3]."_".$input_einzel[4];
			if ($input_long != "")
			{
				$teile = explode("_", $input_long);
				$input_l = $teile[0];
				$input_k = $teile[1];
			}
			if ($input_einzel[6]%100 == 0)
			{
				appendfile("data/".$this->menueid.".dat", $input_name."\t".$input_einzel[6]."\t".$input_l."\t".$input_k."\t\n");
			}
			else
				{
				$menue_einzel = explode("\n", $menue_data);
				for($i = 0; $i <= (count($menue_einzel)+1); $i++)
				{
					$menue_zelle = explode("\t", $menue_einzel[$i]);
					if ($menue_zelle[1] == ($input_einzel[6]-1))
						{
						$alt = get_row("data/".$this->menueid.".dat", $i);
						replace_row("data/".$this->menueid.".dat", $i, $alt."\n".$input_name."\t".$input_einzel[6]."\t".$input_l."\t".$input_k."\t");
					}
				}
			}
			return $this->showedit($w);
		}
		
		/**
		* Speichert nderungen
		*/
		function writeedit($w, $input_name, $input_k, $input_l, $input_long)
		{
			$menue_data = $this->getdata();
			$input_einzel = explode("_", $w);
			$w = $input_einzel[0]."_".$input_einzel[1]."_".$input_einzel[2]."_".$input_einzel[3]."_".$input_einzel[4];
			$menue_einzel = explode("\n", $menue_data);
			if ($input_long != "")
			{
				$teile = explode("_", $input_long);
				$input_l = $teile[0];
				$input_k = $teile[1];
			}
			for($i = 0; $i <= (count($menue_einzel)+1); $i++)
			{
				$menue_zelle = explode("\t", $menue_einzel[$i]);
				if ($menue_zelle[1] == $input_einzel[6])
					{
					if ($input_name != "")
					{
						replace_row("data/".$this->menueid.".dat", $i, $input_name."\t".$menue_zelle[1]."\t".$input_l."\t".$input_k."\t");
					}
					else
						{
						clear_row("data/".$this->menueid.".dat", $i);
					}
				}
			}
			return $this->showedit($w);
		}
		
		/**
		* Zeigt Formular fr Meneditor an
		*/
		function showeditform($input_all)
		{
			$tmpl = getfile("design/".$GLOBALS["config"]["design"]."/tmpl/menue_edit_form.tmpl");
			$input_einzel = explode("_", $input_all);
			$w = $input_einzel[0]."_".$input_einzel[1]."_".$input_einzel[2]."_".$input_einzel[3]."_".$input_einzel[4];
			$menue_data = $this->getdata();
			$menue_einzel = explode("\n", $menue_data);
			$da = 0;
			for($i = 0; $i <= (count($menue_einzel)+1); $i++)
			{
				$menue_zelle = explode("\t", $menue_einzel[$i]);
				if ($menue_zelle[1] == $input_einzel[6])
					{
					$da = 1;
					$menue = ereg_replace("{KEY}", $w."_2_".$input_einzel[6], $tmpl);
					$menue = ereg_replace("{NAME}", $menue_zelle[0], $menue);
					$menue = ereg_replace("{L}", $menue_zelle[2], $menue);
					$menue = ereg_replace("{K}", $menue_zelle[3], $menue);
				}
			}
			if ($da == 0)
				{
				$menue = ereg_replace("{KEY}", $w."_3_".$input_einzel[6], $tmpl);
				$menue = ereg_replace("{NAME}", "", $menue);
				$menue = ereg_replace("{L}", "", $menue);
				$menue = ereg_replace("{K}", "", $menue);
			}
			$items = "";
			$session_try = new session();
			$inhalt = $session_try->get_var("basket");
			$ausgabe = "";
			$inhalt = explode("*", $inhalt);
			for($i = 1; $i < (count($inhalt)); $i++)
			{
				$items = $items."<option value=".$inhalt[$i]." />";
				$teil = explode("_", $inhalt[$i]);
				$items = $items.get_row("data/article/".$teil[1].".dat", 2);
			}
			$menue = ereg_replace("{ITEM}", $items, $menue);
			return $menue;
		}
		/**
		* Zeigt Meneditor an
		*/
		function showedit($input_all)
		{
			$input_einzel = explode("_", $input_all);
			$w = $input_einzel[0]."_".$input_einzel[1]."_".$input_einzel[2]."_".$input_einzel[3]."_".$input_einzel[4];
			$menue_data = $this->getdata();
			$menue_einzel = explode("\n", $menue_data);
			$menue = "";
			$tmpl = getfile("design/".$GLOBALS["config"]["design"]."/tmpl/menue_edit_line.tmpl");
			$tmplsub = getfile("design/".$GLOBALS["config"]["design"]."/tmpl/menue_edit_subline.tmpl");
			$newtmpl = getfile("design/".$GLOBALS["config"]["design"]."/tmpl/menue_edit_newline.tmpl");
			$newtmplsub = getfile("design/".$GLOBALS["config"]["design"]."/tmpl/menue_edit_newsubline.tmpl");
			$lastmain = 0;
			for($i = 0; $i <= (count($menue_einzel)+1); $i++)
			{
				$menue_zelle = explode("\t", $menue_einzel[$i]);
				if ($menue_zelle[1] != "")
					{
					if ($menue_zelle[1]%100 == 0)
					{
						//if ($menue_zelle[1] != 100)  
						if ($i !="0")
							{
							if ($lastsub == "")
								{
								$lastsub = $lastmain;
							}
							$menue = $menue.ereg_replace("{KEY}", $w."_1_".($lastsub+1), $newtmplsub);
							$menue = ereg_replace("{CLEARKEY}", $w."_2_".($lastsub+1), $menue);
							$menue = ereg_replace("{NAME}", "(NEUER UNTEREPUNKT)", $menue);
							$lastsub = "";
						}
						$menue = $menue.ereg_replace("{KEY}", $w."_1_".$menue_zelle[1], $tmpl);
						$menue = ereg_replace("{CLEARKEY}", $w."_2_".$menue_zelle[1], $menue);
						$menue = ereg_replace("{NAME}", $menue_zelle[0], $menue);
						$lastmain = $menue_zelle[1];
					}
					else
						{
						$menue = $menue.ereg_replace("{KEY}", $w."_1_".$menue_zelle[1], $tmplsub);
						$menue = ereg_replace("{CLEARKEY}", $w."_2_".$menue_zelle[1], $menue);
						$menue = ereg_replace("{NAME}", $menue_zelle[0], $menue);
						$lastsub = $menue_zelle[1];
					}
				}
			}
			if ($lastsub == "")
				{
				$lastsub = $lastmain;
			}
			$menue = $menue.ereg_replace("{KEY}", $w."_1_".($lastsub+1), $newtmplsub);
			$menue = ereg_replace("{NAME}", "(NEUER UNTEREPUNKT)", $menue);
			$lastsub = "";
			$menue = $menue.ereg_replace("{KEY}", $w."_1_".($lastmain+100), $newtmpl);
			$menue = ereg_replace("{NAME}", "(NEUE HAUPTRUPRIK)", $menue);
			return ereg_replace("{INHALT}", $menue, getfile("design/".$GLOBALS["config"]["design"]."/tmpl/menue_edit_oben.tmpl"));
		}
		
		/**
		* basket
		*/
		function basket ($input_all)
		{
			$input_einzel = explode("_", $input_all);
			$w = $input_einzel[0]."_".$input_einzel[1]."_".$input_einzel[2]."_".$input_einzel[3]."_".$input_einzel[4];
			$session_try = new session();
			$inhalt = $session_try->get_var("basket");
			if (($input_einzel[1] == "sa") || ($input_einzel[1] == "ue")|| ($input_einzel[1] == "uewiki"))
			{
				if ($input_einzel[5] == 1)
				{
					$inhalt = $inhalt."*".$input_einzel[1]."_".$input_einzel[2];
					$session_try->set_var("basket", $inhalt);
				}
				if ($input_einzel[5] == 2)
				{
					$session_try->set_var("basket", "");
					$inhalt = "";
				}
				if ($input_einzel[5] == 3)
				{
					$teilinhalt = explode("*", $inhalt);
					$teil = explode("_", $teilinhalt[$input_einzel[6]]);
					appendfile("data/coll".$input_einzel[2].".dat", $teil[1]."\n");
					
				}
			}
			$ausgabe = "";
			$inhalt = explode("*", $inhalt);
			for($i = 1; $i < (count($inhalt)); $i++)
			{
				$teil = explode("_", $inhalt[$i]);
				$ausgabe = $ausgabe.get_row("data/article/".$teil[1].".dat", 2);
				if ($input_einzel[1] == "ue" || ($input_einzel[1] == "uewiki"))
				{
					$ausgabe = $ausgabe."<a href=\"index.php?w=".$w."_3_".$i."\">&nbsp;->></a>";
				}
				$ausgabe = $ausgabe."<br>";
			}
			$ausgabe = $ausgabe."<center><br>";
			if ($input_einzel[1] == "sa")
			{
				$ausgabe = $ausgabe."<a href=\"index.php?w=".$w."_1\"><img src=\"design/".$GLOBALS["config"]["design"]."/images/in.gif\" alt=\"in\" border=\"0\" /></a>";
			}
			if (($input_einzel[1] == "sa") || ($input_einzel[1] == "ue"))
			{
				$ausgabe = $ausgabe."<a href=\"index.php?w=".$w."_2\"><img src=\"design/".$GLOBALS["config"]["design"]."/images/new.gif\" alt=\"reset\" border=\"0\" /></a>";
			}
			$ausgabe = $ausgabe."</center>";
			
			return ereg_replace("{CONTENT}", $ausgabe, getfile("design/".$GLOBALS["config"]["design"]."/tmpl/basket.tmpl"));
					;
			
			$ausgabe;
		}
	}
?>